> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Connect

Creates a new Connect request to connect all liability accounts for the Entity.

Operation Type: ⚡ Synchronous (Your request is processed immediately, and you'll receive a response before proceeding. Webhooks will be fired in parallel.) or Asynchronous  ⏳ (Your request is processed in the background. You'll receive a webhook when it's complete.)

> [!WARNING]
>
> Your request is processed asynchronously if `Prefer: respond-async` header is set or if products / subscriptions are specified. You'll receive a webhook when it's complete.

> [!TIP]
>
> An initial Connect request will connect all liability accounts (closed and active),
> all subsequent Connect requests will only return new accounts for an Entity.

## Path Parameters

## Query Parameters

{(() => {
const { name, type, description, enums } = ConnectExpandQueryParam();
return (
  <ParamList
    items={[
      { name, type, description, enums },
      {
        name: "raw_report_format",
        type: "enum",
        description: <>The format of the TransUnion <code>raw_credit_report</code> artifact. Defaults to <code>json</code>. Set to <code>xml</code> to receive the native TransUnion XML report, returned as a File with a <code>mime_type</code> of <code>application/xml</code>. Only applies when <code>artifacts</code> includes <code>raw_credit_report</code>, and <code>xml</code> requires <code>bureau</code> to be <code>transunion</code>.</>,
        enums: ["json", "xml"],
      },
    ]}
  />
);
})()}

## Body

{(() => {
const { products, subscriptions } = ProductsAndSubscriptionsQueryParams();
return (
  <ParamList
    items={[
      products,
      subscriptions,
      {
        name: "bureau",
        type: "enum",
        description: <>The credit bureau to pull the raw report from: <code>equifax</code> or <code>transunion</code>. Required if <code>artifacts</code> is set. Method will work with your team to set which bureaus are allowed, and if you need both bureaus you will need to make 2 separate calls.</>,
      },
      {
        name: "artifacts",
        type: "enum[]",
        description: <>Credit report artifacts to generate for this Connect. Each artifact is returned as a File in the <code>files</code> array of the response, and can be downloaded via the <a href="https://docs.methodfi.com/2026-03-30/reference/files/overview.md">Files API</a>. Requires <code>bureau</code>.</>,
        enums: ["raw_credit_report", "credit_report_pdf"],
      },
      {
        name: "score_models",
        type: "enum[]",
        description: <>Credit score models to return in the credit report artifacts, each listed once. Requires <code>bureau</code> and a <code>raw_credit_report</code> or <code>credit_report_pdf</code> artifact. TransUnion supports <code>vantage_4</code>, <code>fico_8</code>, <code>fico_9</code>, <code>fico_auto_8</code> and <code>fico_auto_9</code>. Equifax supports <code>vantage_3</code> and <code>vantage_4</code>. Every model must be enabled for your team on the requested <code>bureau</code>. If omitted, the Connect returns your team's default score models for that bureau, if any. See <a href="https://docs.methodfi.com/guides/connect/raw-credit-reports.md#requesting-credit-scores">Requesting credit scores</a>.</>,
        enums: ["vantage_3", "vantage_4", "fico_8", "fico_9", "fico_auto_8", "fico_auto_9"],
      },
    ]}
  />
);
})()}

> [!NOTE]
>
> Raw credit report access (`bureau`, `artifacts`, `score_models`) is a
> restricted feature. Contact Method to enable it for your team. See
> [File objects](https://docs.methodfi.com/2026-03-30/reference/files/overview.md) for downloading generated
> artifacts.

## Returns

Returns a Connect object.

```bash cURL theme={null}
curl https://production.methodfi.com/entities/ent_qKNBB68bfHGNA/connect \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```bash cURL (Connect w/Raw Credit Report) theme={null}
curl https://production.methodfi.com/entities/ent_qKNBB68bfHGNA/connect \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "bureau": "transunion",
    "artifacts": ["raw_credit_report", "credit_report_pdf"]
  }'
```

```bash cURL (Connect w/Credit Scores) theme={null}
curl https://production.methodfi.com/entities/ent_qKNBB68bfHGNA/connect \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "bureau": "transunion",
    "artifacts": ["raw_credit_report", "credit_report_pdf"],
    "score_models": ["vantage_4", "fico_8", "fico_auto_8"]
  }'
```

```bash cURL (Connect w/TransUnion XML Raw Report) theme={null}
curl "https://production.methodfi.com/entities/ent_qKNBB68bfHGNA/connect?raw_report_format=xml" \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "bureau": "transunion",
    "artifacts": ["raw_credit_report"]
  }'
```

```javascript Node.js theme={null}
const entity = await method
  .entities("ent_qKNBB68bfHGNA")
  .connect
  .create();
```

```javascript Node.js (Connect w/TransUnion XML Raw Report) theme={null}
const connect = await method
  .entities("ent_qKNBB68bfHGNA")
  .connect
  .create(
    { bureau: "transunion", artifacts: ["raw_credit_report"] },
    { raw_report_format: "xml" },
  );
```

```python Python theme={null}
entity = method
  .entities('ent_qKNBB68bfHGNA')
  .connect
  .create()
```

```json Default theme={null}
{
  "id": "cxn_4ewMmBbjYDMR4",
  "entity_id": "ent_qKNBB68bfHGNA",
  "status": "completed",
  "accounts": [
    "acc_eKKmrXDpJBKgw",
    "acc_GV8WbmJW7KGRy",
    "acc_MLPKh9gQDDbT8",
    "acc_LbXE8wVYJLrKt",
    "acc_J3P9fayDFjpAy",
    "acc_eFFRV9zmpLREK"
  ],
  "requested_products": [],
  "requested_subscriptions": [],
  "files": [],
  "error": null,
  "created_at": "2024-04-12T14:56:46.645Z",
  "updated_at": "2024-04-12T14:56:46.645Z"
}
```

```json Connect with Raw Credit Report theme={null}
{
  "id": "cxn_4ewMmBbjYDMR4",
  "entity_id": "ent_qKNBB68bfHGNA",
  "status": "completed",
  "accounts": [
    "acc_eKKmrXDpJBKgw",
    "acc_GV8WbmJW7KGRy",
    "acc_MLPKh9gQDDbT8"
  ],
  "requested_products": [],
  "requested_subscriptions": [],
  "files": [
    {
      "id": "file_jZWkPMhXPeYAn",
      "type": "raw_credit_report",
      "bureau": "transunion",
      "mime_type": "application/json"
    },
    {
      "id": "file_qTnUv7DdKcRW2",
      "type": "credit_report_pdf",
      "bureau": "transunion",
      "mime_type": "application/pdf"
    }
  ],
  "error": null,
  "created_at": "2024-04-12T14:56:46.645Z",
  "updated_at": "2024-04-12T14:56:46.645Z"
}
```

```json Connect with TransUnion XML Raw Report theme={null}
{
  "id": "cxn_4ewMmBbjYDMR4",
  "entity_id": "ent_qKNBB68bfHGNA",
  "status": "completed",
  "accounts": [
    "acc_eKKmrXDpJBKgw",
    "acc_GV8WbmJW7KGRy",
    "acc_MLPKh9gQDDbT8"
  ],
  "requested_products": [],
  "requested_subscriptions": [],
  "files": [
    {
      "id": "file_jZWkPMhXPeYAn",
      "type": "raw_credit_report",
      "bureau": "transunion",
      "mime_type": "application/xml"
    }
  ],
  "error": null,
  "created_at": "2024-04-12T14:56:46.645Z",
  "updated_at": "2024-04-12T14:56:46.645Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.